# Retrieve all domains for the authenticated client.

Retrieve all domains for the authenticated client.

Endpoint: GET /user/domains
Version: 2.0.0

## Query parameters:

  - `page` (integer)
    Page number
    Example: 1

  - `page_size` (integer)
    Number of items per page. The maximum allowed value is 500. The default value is 50.
    Example: 10

## Response 200 fields (application/json):

  - `data` (array, required)

  - `data.domain_name` (string, required)

  - `data.id` (integer, required)
    the unique ID for the domain within the application
    Example: 123456

  - `data.status` (any, required)
    the current status of the domain
    Enum: "Active", "Expired", "Grace", "Redemption", "Pending", "Cancelled"

  - `data.expiry_date` (string, required)
    the date the domain is due to expire
    Example: "2026-03-14"

  - `data.days_to_expiry` (integer)
    the number of days until the domain expires
    Example: 45

  - `data.days_of_grace_period` (integer)
    the number of days in the grace period after expiry
    Example: 30

  - `data.in_grace_period` (boolean)
    whether the domain is currently within the grace period after expiry

  - `data.days_of_redemption_period` (integer)
    the number of days in the redemption period after expiry
    Example: 30

  - `data.past_redemption_period` (boolean)
    whether the domain is currently within the redemption period after expiry

  - `data.days_left_in_period` (integer)
    the number of days left in the current grace or redemption period
    Example: 15

  - `data.in_redemption_period` (boolean)
    whether the domain is currently within the redemption period after expiry

  - `data.is_premium` (boolean)
    whether the domain is a premium domain

  - `data.is_expiring_soon` (boolean)
    whether the domain is within the renewal period

  - `data.eligible_for_renewal` (boolean, required)
    whether the domain is eligible for renewal

  - `data.free_domain_renewal` (boolean)
    whether the domain renewal is free

  - `data.renewal_periods` (array, required)
    the available renewal periods for the domain

  - `data.renewal_periods.period` (integer, required)

  - `data.renewal_periods.pricing` (object, required)

  - `data.renewal_periods.pricing.value` (string, required)
    Example: "19.99"

  - `data.renewal_periods.pricing.code` (string, required)
    Example: "USD"

  - `data.renewal_periods.pricing.display_value` (string, required)
    Example: "$19.99 USD"

  - `data.renewal_periods.pricing.prefix` (string, required)
    Optional currency prefix
    Example: "$"

  - `data.renewal_periods.pricing.suffix` (string, required)
    Optional currency prefix
    Example: " USD"

## Response 401 fields (application/json):

  - `message` (string)


